Nokia Smart Installer for Symbian/es

From Qt Wiki
Jump to: navigation, search
IMPORTANT: The content of this page is outdated. Reason: The Symbian platform is no longer supported.
If you have checked or updated this page and found the content to be suitable, please remove this notice.
SpanishEnglishБългарски

Nokia Smart Installer para Symbian

Smart Installer (Instalador Inteligente)

Nokia Smart Installer para Symbian (también conocido como Smart Installer) es una solución de despliegue (deployment) que asegura que aplicaciones de terceras partes tengan siempre acceso a las versiones requeridas de las bibliotecas de las que dependen en el teléfono.

es una solución de despliegue que asegura que instalar 3 ª Parte aplicaciones siempre el acceso a las versiones requeridas de las bibliotecas dependientes en el teléfono.

Preste especial atención al hecho de que Ovi Store requiere el uso de Nokia Smart Installer para todas las aplicaciones Qt para Symbian.

Descarga

Nokia Smart Installer se encuentra incluido en el Nokia Qt SDK.

Paquetes distribuidos por Smart Installer

A Mayo de 2011 las siguientes bibliotecas son hospedadas en el server de Nokia Smart Installer y pueden ser instaladas en el dispositivo antes de las instalación de una aplicación Symbian usando la solución Smart Installer:

  • Stdcpp
  • OpenC_SSL
  • PIPS
  • Sqlite
  • Qt
  • QtWebkit
  • QtMobility
  • ClientPlatform(S60)
  • Ovi Notifications Support Package(S60)
  • Ovi Notifications Support Package Launcher(S60)
  • Ovi Notifications Support Package Launcher(S3)
  • SSO (S3)
  • SSO Ui(S3)
  • SSO Username widget(S3)
  • Ovi-shared widget(S3)

Dispositivos

Dispositivos soportados

Nokia Smart Installer esta diseñado para trabajar con Symbian S60 3rd Edition Feature Pack 1 y dispositivos con versiones mas nuevas (incluyendo Symbian^1 y Symbian^3). Note que Smart Installer comprobara con el servidor si el dispositivo a utilizar es soportado, esta verificación actualmente falla si el dispositivo a comprobar no es Nokia.

Dispositivos no soportados por Smart Installer

Desafortunadamente debido a limitaciones técnicas Nokia Smart Installer no es compatible con los siguientes dispositivos a pesar de que ellos disponen de una versión de Symbian apropiada:

  • Nokia 6650 variante de AT&T (PIPS no puede ser actualizado.)
  • Nokia N96 (No soportado por Qt)

Video Tutorial

Desarrollando con: Nokia Smart Installer

https://www.youtube.com/watch?v=PNwNlPoObvI

Referencias

Forum Nokia: Nokia Smart Installer for Symbian